import java.io.File;
import java.io.FileFilter;

import com.spire.xls.CellRange;
import com.spire.xls.FileFormat;
import com.spire.xls.Workbook;
import com.spire.xls.Worksheet;

public class ConvertExcel {

    public static void main(String[] args) {
    	
    	String parentPath = "E:\\Files";
        String outputPath = "E:\\Files\\pdf";
        File[] files = new File(parentPath).listFiles(new FileFilter() {

            @Override
            public boolean accept(File pathname) {
                if (pathname.getName().endsWith(".xlsx") || pathname.getName().endsWith(".xls")) {
                    return true;
                }
                return false;
            }
        });
        
        for (File file : files) {
        	
            Workbook workbook = new Workbook();
            workbook.loadFromFile(file.getPath());
            workbook.getConverterSetting().setSheetFitToWidth(true);
            workbook.saveToFile(getOutputPath(outputPath + "\\" + file.getName()), FileFormat.PDF);
        	workbook.dispose();
        }
    }
    
    public static String getOutputPath(String sourcePath) {
        int index = sourcePath.lastIndexOf(".");
        String path = sourcePath.substring(0, ++index);
        return path + "pdf";
    }
}
